post
https://sandbox.saner.secpod.com/AncorWebService/perform
This method allows you to view all the saved report names, including canned and custom reports.
| Key | Meaning | Mandatory | Data Type |
|---|---|---|---|
| accountid | Account name used to fetch saved report names | Yes | string |
Python SDK code
Install:
pip install secpod-saner-sdkCall this endpoint:
from saner.platform import PlatformClient
client = PlatformClient(
api_key="<YOUR_API_KEY>",
accountid="<YOUR_ACCOUNT_ID>",
base_url="https://saner.secpod.com"
)
response=client.Report.getNames(
accountid="Demo Account"
)
print(response)
client.close()Requires Python 3.9 or later.